##### 7.5.24.0. LengthSym

Procedure from library `qmatrix.lib` (see qmatrix_lib).

Usage:
  LengthSym(M); M an intmat

Return:
  intvec

Purpose:
  determine a vector, where the i-th element is the length of the permutation of S(n) given by the i-th row of M

Assume:
  M represents a subset of S(n) (each row must be an element of S(n)); otherwise, the output may have no sense

Example:

    LIB "qmatrix.lib";
    def M = SymGroup(3); M;
    ==> 1,2,3,
    ==> 1,3,2,
    ==> 3,1,2,
    ==> 2,1,3,
    ==> 2,3,1,
    ==> 3,2,1
    LengthSym(M);
    ==> 0,1,2,1,2,3

See also: LengthSymElement; SymGroup.

User manual for Singular version 4.4.1, 2025, generated by texi2html.